- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKStroke Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKStroke ()

## Public Attributes
IWORKStrokeType | m_type
double | m_width
IWORKColor | m_color
IWORKLineJoin | m_join
IWORKLineCap | m_cap
std::deque< double > | m_pattern

## Constructor & Destructor Documentation

libetonyek::IWORKStroke::IWORKStroke | ( |  | ) |

## Member Data Documentation

IWORKLineCap libetonyek::IWORKStroke::m_cap

Referenced by libetonyek::IWAParser::readStroke().

IWORKColor libetonyek::IWORKStroke::m_color

Referenced by libetonyek::IWAParser::readStroke(), and libetonyek::writeBorder().

IWORKLineJoin libetonyek::IWORKStroke::m_join

Referenced by libetonyek::IWAParser::readStroke().

std::deque<double> libetonyek::IWORKStroke::m_pattern

Referenced by libetonyek::IWAParser::readStroke(), and libetonyek::writeBorder().

IWORKStrokeType libetonyek::IWORKStroke::m_type

Referenced by libetonyek::IWAParser::readStroke(), and libetonyek::writeBorder().

double libetonyek::IWORKStroke::m_width

Referenced by libetonyek::IWAParser::readStroke(), and libetonyek::writeBorder().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp